# handleMysteryEncounterBattleFailed | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function handleMysteryEncounterBattleFailed

- handleMysteryEncounterBattleFailed(
  addHealPhase?: boolean,
  doNotContinue?: boolean,
  ): void

  Similar to `handleMysteryEncounterVictory`, but for cases where the player lost a battle or failed a challenge

  #### Parameters

  - addHealPhase: boolean = false
  - doNotContinue: boolean = false

  #### Returns void

  - Defined in src/data/mystery-encounters/utils/encounter-phase-utils.ts:906